@import '../../../styles/color.scss';
.myTaskContainer {
  width: 100%;
  border-radius: 8px;
  background-color: rgba(47,47,47,0.05);
  padding: 13px 16px;
  overflow: hidden;
  margin-bottom: 10px;
  max-width: 264px;

  h3 {
    font-size: 16px;
    font-weight: 700;
    color: rgb(47,47,47);
    cursor:pointer;
    text-align:left;
    margin-bottom: 0;
    text-overflow: ellipsis;
  }
  .title {
    display: inline-block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }
  .isOpen .title {
    white-space: normal;
    text-overflow: none;
    overflow: visible;
  }
  .tasktype{
    color: color(yellowgrey, lighter);
    font-size: 0.8em;
    font-weight: bold;
  }
  .tasktype svg{
    color: color(yellowgrey, lighter);
    margin: 0 5px;
  }
  .myTasksDescription {
    font-size: 14px;
    font-weight: 400;
    color: #2F2F2F;
    line-height: 21px;
  }
}
  
.myTaskContainer.done {
  background: none;
  border: 1px solid color(green, base);
  color: color(green, base);

  h3{
    color: color(green, base);
  }

  .tasktype{
    color: rgba(10, 106, 132, 0.4);
    font-size: 0.8em;
    font-weight: bold;
  }
  .tasktype svg{
    stroke: rgba(10, 106, 132, 0.4);
    margin: 0 5px;
  }
  .myTasksDescription {
    color: color(green, base);
  }
  .myTaskIcon svg {
    color: color(green, base);
    stroke: color(green, base);
  }
}